<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/prov_info_cons/_filterTemplate.xhtml">
        <ui:param name="assertion" value="#{assertion}"/>
        <ui:param name="currentRequest" value="#{currentReq}"/>
        <ui:param name="parent" value="#{parent}"/>
        <ui:define name="assertionDetails">
            <h:outputText value="Enter the name of the attribute to be present" styleClass="help-block"/>
            <rich:autocomplete mode="client" autocompleteList="#{currentReq.getAvailableAttributeTypes()}"
                               value="#{assertion.attributeDescription.name}" minChars="1" autofill="false" selectFirst="false"
                               required="true" id="combo"
                               requiredMessage="The name of the attribute to be present is required" layout="list"/>
        </ui:define>
    </ui:decorate>
</ui:composition>
